Pular para o conteúdo principal
POST
/
api
/
v1
/
authentication
/
orgs
/
{orgId}
/
service-accounts
/
{saId}
/
api-keys
/
{keyId}
/
regenerate
CSharp (SDK)
using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;

var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");

var res = await sdk.Auth.ServiceAccounts.RegenerateApiKeyAsync(
    orgId: "<id>",
    saId: "<id>",
    keyId: "<id>"
);

// handle response
{
  "id": "<string>",
  "key": "<string>",
  "start": "<string>"
}

Autorizações

Authorization
string
header
obrigatório

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Cabeçalhos

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Parâmetros de caminho

orgId
string
obrigatório
saId
string
obrigatório
keyId
string
obrigatório

Resposta

Rotacionado (novo texto simples retornado uma vez)

id
string
obrigatório
key
string
obrigatório
start
string
obrigatório